import 'package:mvcprovider/mvcprovider.dart';

import 'my.counter.model.dart';

class MyCounterCtrl extends Controller<MyCounterModel> {
  void increment() {
    model.count++;
  }

/*
      // Uncomment if needed

      // You can access to injected providers everywhere in your controller and your view after the first view render
      // Just by using : get[MyProviderClass]

      // Init is called one time before view's first render
      // But you don't have access yet to the dependency getter: get[MyProviderClass]
      @override
      Controller init(BuildContext context, MyCounterModel model, Map<Type, dynamic> dependencies) {
        super.init(context, model, dependencies);

        // Do some cool things here that you need to do before
        // using this controller or rendering the view

        return this;
      }

      // OnReady is called one time after view's first render
      // Now you have access to the dependency getter: get[MyProviderClass] :D
      @override
      void onReady() {
        Log.print('onReady ${get[RouteService].params[RouteParams.ItemId]}', title: 'PixabayDetailsCtrl');
        model.image = get[CacheService].images[get[RouteService].params[RouteParams.ItemId]];
        refresh();
      }

      // OnRefresh is called each time the view is rendered
      @override
      Controller onRefresh(BuildContext) {
        super.onRefresh(context);

        // Do some cool things each time you refresh the view

        return this;
      }
      */
}
